---@meta

---@class UBP_PrevisActorComponent_C : UActorComponent
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Player ABP_FirstPersonCharacter_C
---@field AttachmentPrevisActor ABP_Previs_C
---@field StaticMeshToPrevis UStaticMeshComponent
---@field DynamicMaterial UMaterialInstanceDynamic
---@field AllowedToBePlaced boolean
---@field CantPlace FLinearColor
---@field CanPlace FLinearColor
---@field ['Not Allowed to Place on Actors'] TArray<TSubclassOf<AActor>>
---@field CurrentTraceHit FHitResult
---@field RotateDegreeOffset float
---@field PlayerControlRotation boolean
---@field CustomRotator FRotator
---@field PlacementTransform FTransform
local UBP_PrevisActorComponent_C = {}

function UBP_PrevisActorComponent_C:OnRep_RotateDegreeOffset() end
---@param TestClass TSubclassOf<AActor>
---@param Allowed boolean
function UBP_PrevisActorComponent_C:CheckHitTargetNotAllowedList(TestClass, Allowed) end
---@param Allowed boolean
function UBP_PrevisActorComponent_C:SetAllowedToPlace(Allowed) end
function UBP_PrevisActorComponent_C:TryDestroyPrevis() end
function UBP_PrevisActorComponent_C:TrySpawnPrevis() end
function UBP_PrevisActorComponent_C:TryPlacePrevis() end
---@param Trace FHitResult
function UBP_PrevisActorComponent_C:TryTrace(Trace) end
---@param Player ABP_FirstPersonCharacter_C
---@param StaticMeshToPrevis UStaticMeshComponent
---@param NotAllowedToPlaceOnActors TArray<TSubclassOf<AActor>>
---@param ControlRotation boolean
function UBP_PrevisActorComponent_C:Initialize(Player, StaticMeshToPrevis, NotAllowedToPlaceOnActors, ControlRotation) end
function UBP_PrevisActorComponent_C:UpdatePrevis() end
function UBP_PrevisActorComponent_C:DestroyPrevisAndStopTick() end
function UBP_PrevisActorComponent_C:CalculateRotationAndNotify() end
---@param EntryPoint int32
function UBP_PrevisActorComponent_C:ExecuteUbergraph_BP_PrevisActorComponent(EntryPoint) end


